summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorHavoc Pennington <hp@redhat.com>2002-09-24 20:43:45 +0000
committerHavoc Pennington <hp@src.gnome.org>2002-09-24 20:43:45 +0000
commitd027c27ca1afbc0b988f272746b6536e13468b38 (patch)
treec7b729dd32cfd40f99b998fa3464bd17ff97161c /autogen.sh
parentee26de98de7a16fd201a1b857710b690abd448ba (diff)
downloadmetacity-d027c27ca1afbc0b988f272746b6536e13468b38.tar.gz
metacity-d027c27ca1afbc0b988f272746b6536e13468b38.tar.bz2
support --version, #92796 patch from Christian Neumair
2002-09-24 Havoc Pennington <hp@redhat.com> * src/main.c (main): support --version, #92796 patch from Christian Neumair * autogen.sh: change gettext test to be happy with glib-gettextize, #81425 * src/menu.c: change mnemonics to match bug #78999 * src/theme.c (meta_theme_validate): consolidate some nearly-identical themes for ease of translation, #70962
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh32
1 files changed, 22 insertions, 10 deletions
diff --git a/autogen.sh b/autogen.sh
index 8b44400..35e63cc 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -46,16 +46,28 @@ ACLOCAL=aclocal-1.4
}
}
-grep "^AM_GLIB_GNU_GETTEXT" configure.in >/dev/null && {
- grep "sed.*POTFILES" $srcdir/configure.in >/dev/null || \
- (gettext --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`gettext' installed to compile $PROJECT."
- echo "Get ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
- }
-}
+if grep "^AM_[A-Z0-9_]\{1,\}_GETTEXT" "$CONFIGURE" >/dev/null; then
+ if grep "sed.*POTFILES" "$CONFIGURE" >/dev/null; then
+ GETTEXTIZE=""
+ else
+ if grep "^AM_GLIB_GNU_GETTEXT" "$CONFIGURE" >/dev/null; then
+ GETTEXTIZE="glib-gettextize"
+ GETTEXTIZE_URL="ftp://ftp.gtk.org/pub/gtk/v2.0/glib-2.0.0.tar.gz"
+ else
+ GETTEXTIZE="gettextize"
+ GETTEXTIZE_URL="ftp://alpha.gnu.org/gnu/gettext-0.10.35.tar.gz"
+ fi
+
+ $GETTEXTIZE --version < /dev/null > /dev/null 2>&1
+ if test $? -ne 0; then
+ echo
+ echo "**Error**: You must have \`$GETTEXTIZE' installed to compile $PKG_NAME."
+ echo "Get $GETTEXTIZE_URL"
+ echo "(or a newer version if it is available)"
+ DIE=1
+ fi
+ fi
+fi
if test "$DIE" -eq 1; then
exit 1